import Combine
import Foundation

private let isConsoleLoggingEnabled = false

enum LogLevels: String {
    case info = "ℹ️"
    case warning = "⚠️"
    case error = "❌"
}

func logIt(_ level: LogLevels, _ message: String) {
    #if DEBUG
        let timeStr = dateFormatter.string(from: Date())
        let str = "\(timeStr) \(level.rawValue) \(message)"
        print(str)
        if isConsoleLoggingEnabled {
            NSLog(str)
        }
    #endif
}

private var dateFormatter: DateFormatter {
    let formatter = DateFormatter()
    formatter.locale = NSLocale(localeIdentifier: "en_US_POSIX") as Locale
    formatter.dateFormat = "MM-dd HH:mm:ss.SSS"
    return formatter
}
