import Martin
import SwiftUI

struct BaseNavigationView: View {
    @EnvironmentObject var state: AppState

    public var body: some View {
        Group {
            switch state.flow {
            case .start:
                StartScreen()

            case .welcome:
                WelcomeScreen()

            case .login:
                LoginScreen()

            case .registration:

                RegistrationScreen()

            case .contactsList:
                ContactsScreen()

            case .chatsList:
                ChatsListScreen()

            case .settings:
                SettingsScreen()

            case .chat:
                ChatScreen()
            }
        }
    }
}
