import SwiftUI

extension View {
    func sharedListRow() -> some View {
        modifier(SharedListRow())
    }
}

struct SharedListRow: ViewModifier {
    public func body(content: Content) -> some View {
        content
            .listRowInsets(.zero)
            .listRowSeparator(.hidden)
            .frame(maxWidth: .infinity, maxHeight: .infinity)
            .background(Color.Main.backgroundLight)
    }
}
