import SwiftUI

struct StartScreen: View {
    @EnvironmentObject var state: AppState

    var body: some View {
        ZStack {
            Color.Main.backgroundLight
            Image.logo
                .resizable()
                .aspectRatio(contentMode: .fit)
                .frame(width: 200, height: 200)
        }
        .ignoresSafeArea()
        .onAppear {
            if state.accounts.isEmpty {
                state.flow = .welcome
            } else {
                state.flow = .chatsList
            }
        }
    }
}
