import SwiftUI

struct WelcomeScreen: View {
    @EnvironmentObject var state: AppState

    public var body: some View {
        ZStack {
            // background
            Color.Main.backgroundLight
                .ignoresSafeArea()

            // content
            VStack(spacing: 32) {
                // icon
                Image.logo
                    .resizable()
                    .aspectRatio(contentMode: .fit)
                    .frame(width: 120, height: 120)

                // texts
                VStack(spacing: 10) {
                    Text(L10n.Global.name)
                        .font(.head1r)
                        .foregroundColor(.Tango.blueMedium)
                        .fixedSize(horizontal: true, vertical: false)
                    Text(L10n.Start.subtitle)
                        .font(.body2)
                        .foregroundColor(.Tango.blueLight)
                        .fixedSize(horizontal: false, vertical: true)
                        .multilineTextAlignment(.center)
                }

                // buttons
                VStack(spacing: 16) {
                    Button {
                        state.flow = .login
                    } label: {
                        Text(L10n.Start.Btn.login)
                    }
                    .buttonStyle(SecondaryButtonStyle())
                    Button {
                        state.flow = .registration
                    } label: {
                        Text(L10n.Start.Btn.register)
                    }
                    .buttonStyle(PrimaryButtonStyle())
                }
            }
            .padding(.horizontal, 32)
        }
    }
}
