import SwiftUI

extension EdgeInsets {
    var inverted: EdgeInsets {
        .init(top: -top, leading: -leading, bottom: -bottom, trailing: -trailing)
    }

    static var zero: EdgeInsets {
        .init(top: 0, leading: 0, bottom: 0, trailing: 0)
    }

    static func symmetric(_ value: CGFloat) -> EdgeInsets {
        .init(top: value, leading: value, bottom: value, trailing: value)
    }
}
